com.lowagie.text

## Class Anchor

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.ArrayList
      - - com.lowagie.text.Phrase
        - - com.lowagie.text.Anchor

All Implemented Interfaces:
  Element, TextElementArray, java.io.Serializable, java.lang.Cloneable, java.lang.Iterable, java.util.Collection, java.util.List, java.util.RandomAccess

    public class Anchor
    extends Phrase

An `Anchor` can be a reference or a destination of a reference.

An `Anchor` is a special kind of `Phrase`. It is constructed in the same way.

Example:

>      Anchor anchor = new Anchor("this is a link");
>      anchor.setName("LINK");
>      anchor.setReference("http://www.lowagie.com");

See Also:
  `Element`, `Phrase`, Serialized Form

### Field Summary

Fields
`protected java.lang.String` `name` This is the name of the `Anchor`.
`protected java.lang.String` `reference` This is the reference of the `Anchor`.
`private static long` `serialVersionUID`

### Fields inherited from class com.lowagie.text.Phrase

`font, hyphenation, leading`

### Fields inherited from class java.util.AbstractList

`modCount`

### Fields inherited from interface com.lowagie.text.Element

`ALIGN_BASELINE, ALIGN_BOTTOM, ALIGN_CENTER, ALIGN_JUSTIFIED, ALIGN_JUSTIFIED_ALL, ALIGN_LEFT, ALIGN_MIDDLE, ALIGN_RIGHT, ALIGN_TOP, ALIGN_UNDEFINED, ANCHOR, ANNOTATION, AUTHOR, CCITT_BLACKIS1, CCITT_ENCODEDBYTEALIGN, CCITT_ENDOFBLOCK, CCITT_ENDOFLINE, CCITTG3_1D, CCITTG3_2D, CCITTG4, CELL, CHAPTER, CHUNK, CREATIONDATE, CREATOR, HEADER, IMGRAW, IMGTEMPLATE, JBIG2, JPEG, JPEG2000, KEYWORDS, LIST, LISTITEM, MARKED, MULTI_COLUMN_TEXT, PARAGRAPH, PHRASE, PRODUCER, PTABLE, RECTANGLE, ROW, SECTION, SUBJECT, TABLE, TITLE, YMARK`

### Constructor Summary

Constructors
Constructor and Description
`Anchor()` Constructs an `Anchor` without specifying a leading.
`Anchor(Chunk chunk)` Constructs an `Anchor` with a certain `Chunk`.
`Anchor(float leading)` Constructs an `Anchor` with a certain leading.
`Anchor(float leading, Chunk chunk)` Constructs an `Anchor` with a certain `Chunk` and a certain leading.
`Anchor(float leading, java.lang.String string)` Constructs an `Anchor` with a certain leading and a certain `String`.
`Anchor(float leading, java.lang.String string, Font font)` Constructs an `Anchor` with a certain leading, a certain `String` and a certain `Font`.
`Anchor(Phrase phrase)` Constructs an `Anchor` with a certain `Phrase`.
`Anchor(java.lang.String string)` Constructs an `Anchor` with a certain `String`.
`Anchor(java.lang.String string, Font font)` Constructs an `Anchor` with a certain `String` and a certain `Font`.

### Method Summary

Methods
`java.util.ArrayList` `getChunks()` Gets all the chunks in this element.
`java.lang.String` `getName()` Returns the name of this `Anchor`.
`java.lang.String` `getReference()` Gets the reference of this `Anchor`.
`java.net.URL` `getUrl()` Gets the reference of this `Anchor`.
`boolean` `process(ElementListener listener)` Processes the element by adding it (or the different parts) to an `ElementListener`.
`void` `setName(java.lang.String name)` Sets the name of this `Anchor`.
`void` `setReference(java.lang.String reference)` Sets the reference of this `Anchor`.
`int` `type()` Gets the type of the text element.

### Methods inherited from class com.lowagie.text.Phrase

`add, add, addAll, addChunk, addSpecial, getContent, getFont, getHyphenation, getInstance, getInstance, getInstance, getLeading, hasLeading, isContent, isEmpty, isNestable, setFont, setHyphenation, setLeading`

### Methods inherited from class java.util.ArrayList

`addAll, clear, clone, contains, ensureCapacity, get, indexOf, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeRange, retainAll, set, size, subList, toArray, toArray, trimToSize`

### Methods inherited from class java.util.AbstractList

`equals, hashCode`

### Methods inherited from class java.util.AbstractCollection

`containsAll, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.lowagie.text.Element

`toString`

### Methods inherited from interface java.util.List

`containsAll, equals, hashCode`

### Field Detail

#### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

#### name

    protected java.lang.String name

This is the name of the `Anchor`.

#### reference

    protected java.lang.String reference

This is the reference of the `Anchor`.

### Constructor Detail

#### Anchor

    public Anchor()

Constructs an `Anchor` without specifying a leading.

#### Anchor

    public Anchor(float leading)

Constructs an `Anchor` with a certain leading.

Parameters:
  `leading` - the leading

#### Anchor

    public Anchor(Chunk chunk)

Constructs an `Anchor` with a certain `Chunk`.

Parameters:
  `chunk` - a `Chunk`

#### Anchor

    public Anchor(java.lang.String string)

Constructs an `Anchor` with a certain `String`.

Parameters:
  `string` - a `String`

#### Anchor

    public Anchor(java.lang.String string,
          Font font)

Constructs an `Anchor` with a certain `String` and a certain `Font`.

Parameters:
  `string` - a `String`
  `font` - a `Font`

#### Anchor

    public Anchor(float leading,
          Chunk chunk)

Constructs an `Anchor` with a certain `Chunk` and a certain leading.

Parameters:
  `leading` - the leading
  `chunk` - a `Chunk`

#### Anchor

    public Anchor(float leading,
          java.lang.String string)

Constructs an `Anchor` with a certain leading and a certain `String`.

Parameters:
  `leading` - the leading
  `string` - a `String`

#### Anchor

    public Anchor(float leading,
          java.lang.String string,
          Font font)

Constructs an `Anchor` with a certain leading, a certain `String` and a certain `Font`.

Parameters:
  `leading` - the leading
  `string` - a `String`
  `font` - a `Font`

#### Anchor

    public Anchor(Phrase phrase)

Constructs an `Anchor` with a certain `Phrase`.

Parameters:
  `phrase` - a `Phrase`

### Method Detail

#### process

    public boolean process(ElementListener listener)

Processes the element by adding it (or the different parts) to an `ElementListener`.

Specified by:
  `process` in interface `Element`
Overrides:
  `process` in class `Phrase`
Parameters:
  `listener` - an `ElementListener`
Returns:
  `true` if the element was processed successfully

#### getChunks

    public java.util.ArrayList getChunks()

Gets all the chunks in this element.

Specified by:
  `getChunks` in interface `Element`
Overrides:
  `getChunks` in class `Phrase`
Returns:
  an `ArrayList`

#### type

    public int type()

Gets the type of the text element.

Specified by:
  `type` in interface `Element`
Overrides:
  `type` in class `Phrase`
Returns:
  a type

#### setName

    public void setName(java.lang.String name)

Sets the name of this `Anchor`.

Parameters:
  `name` - a new name

#### setReference

    public void setReference(java.lang.String reference)

Sets the reference of this `Anchor`.

Parameters:
  `reference` - a new reference

#### getName

    public java.lang.String getName()

Returns the name of this `Anchor`.

Returns:
  a name

#### getReference

    public java.lang.String getReference()

Gets the reference of this `Anchor`.

Returns:
  a reference

#### getUrl

    public java.net.URL getUrl()

Gets the reference of this `Anchor`.

Returns:
  an `URL`